queue-pr(8)

NAME
queue-pr - incoming mail control for GNATS

SYNOPSIS

queue-pr
    [ -q | --queue ] [ -r | --run ]
    [ -f filename | --file=filename ]
    [ -m kbytes | --max-size=kbytes ]
    [ -d database | --database=database ]
    [ -h | --help ] [ -V | --version ]

DESCRIPTION
`queue-pr -q' should run through a pipe(2V) via the mail aliases(5) mechanism to automatically place incoming bug reports in a queue directory for GNATS.

Run `queue-pr -r' via cron(8) to periodically empty the GNATS queue, filing new bug reports in the database.

Always use one of -q | --queue or -r | --run (but not both), in each call to queue-pr. These are mutually exclusive functions in order to avoid collisions.

OPTIONS

-q, --queue
    Accept standard input as an incoming mail message, placing this message in an incrementally numbered file in the database subdirectory gnats-queue for future handling.

-r, --run
    Redirect files from the database subdirectory gnats-queue to file-pr(8) which files and creates index entries for each.

-f filename or --file=filename
    Treat filename as input rather than reading from standard input (used with the --queue option).

-m kbytes, --max-size=kbytes
    Do not process messages larger than kbytes kilobytes in size. Files larger than the limit are left for human intervention.

-d database or --database=databasename
    Used with the --queue or --run options, use the database named database rather than the database default or the database specified by the GNATSDB environment variable.

-h, --help
    Displays a short usage message.

-V, --version
    Displays the queue-pr version number.

ENVIRONMENT VARIABLES
The GNATSDB environment variable is used to determine which database to use. For a local database, it contains the name of the database to access. If GNATSDB is not set, the database named default is used.

SEE ALSO
Keeping Track: Managing Messages With GNATS (also installed as the GNU Info file gnats.info)

databases(5), dbconfig(5), delete-pr(8), edit-pr(1) file-pr(8), gen-index(8), gnats(7), gnatsd(8), mkcat(8), mkdb(8), pr-edit(8), query-pr(1), queue-pr(8), send-pr(1).

COPYING
Copyright (c) 1993, 2003, Free Software Foundation, Inc.

Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

Permission is granted to copy and distribute modified versions of this manual under the conditions for verbatim copying, provided that the entire resulting derived work is distributed under the terms of a permission notice identical to this one.

Permission is granted to copy and distribute translations of this manual into another language, under the above conditions for modified versions, except that this permission notice may be included in translations approved by the Free Software Foundation instead of in the original English.